src/java/bean/ContactenosBean.java
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package bean;

import clases.Usuarios;
import com.sun.xml.ws.developer.Serialization;
import java.util.ArrayList;
import java.util.List;
import javax.ejb.EJB;
import facade.UsuariosFacade;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean(name = "contactenos")
@SessionScoped
@Serialization
public class ContactenosBean {

@EJB
private UsuariosFacade ejbUsuariosFacade;
private List<Usuarios> usuarios = new ArrayList<>();
private List<Usuarios> admins = new ArrayList<>();

    public List<Usuarios> getAdmins() {
        usuarios = ejbUsuariosFacade.findAll();
        for (int i = 0; i < admins.size(); i++) {
            admins.remove(i);
            
        }
        
        for(int i = 0; i<usuarios.size();i++){            
            if(usuarios.get(i).getUsrRolId().getRolId()==1){
                admins.add(usuarios.get(i));
            }
        }    
        return admins;
    }

    public void setAdmins(List<Usuarios> admins) {
        this.admins = admins;
    }
    /**
     * Creates a new instance of Contactenos
     */
    public ContactenosBean() {
    }
}

src/java/bean/Loggin.java
package bean;


import clases.Usuarios;
import com.sun.xml.ws.developer.Serialization;
import controllers.UsuariosController;
import controllers.util.JsfUtil;
import controllers.util.PasswordService;
import java.io.IOException;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;
import facade.UsuariosFacade;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;


@ManagedBean(name = "loggin")
//@Named("loggin")
@SessionScoped
@Serialization
public class Loggin implements InterfaceBean {
    @PersistenceContext(unitName = "gestor_ambientes_360PU")
    private EntityManager em;

   
    protected EntityManager getEntityManager() {
        return em;
    }
    private String cedula;
    private int ced;
    private String contrasena;
    private Usuarios usrActual;
    private String usrTipo;

   
    @EJB
    private UsuariosFacade usr;

    public Loggin(String cedula, String contrasena) {
        this.cedula = cedula;
        this.contrasena = contrasena;

    }

    public Usuarios getUsrActual() {
        return usrActual;
    }
    public void irPerfil() throws IOException{
        FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/faces/perfiles.xhtml");
    }

    public void setUsrActual(Usuarios usrActual) {
        this.usrActual = usrActual;
    }
    
    public Loggin() {
    }

     public String getUsrTipo() {
        return usrTipo;
    }

    public void setUsrTipo(String usrTipo) {
        this.usrTipo = usrTipo;
    }
    public int getCed() {
        return ced;
    }

    public void setCed(int ced) {
        this.ced = ced;
    }

    public String getCedula() {
        return cedula;
    }

    public void setCedula(String cedula) {
        this.cedula = cedula;
    }

    public String getContrasena() {
        return contrasena;
    }

    public void setContrasena(String contrasena) {
        this.contrasena = contrasena;
    }

    public boolean isActiva() {
        return session.isActiva();

    }

    public boolean isAdmin(){
        try {
            int usr_rol=Integer.parseInt(""+usrActual.getUsrRolId().getRolId());
            boolean tipoUst = (usr_rol==1);
        return tipoUst==true;
        } catch (Exception e) {
             FacesContext context = FacesContext.getCurrentInstance();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Error", ""+e+"\nLocalización: "+e.getLocalizedMessage()));
        }
        return false;
    }
      public Usuarios validarLogueo(String cedula, String contrasena) {
          try {
              
        //Consultar en la bd si està registrado
        int ced = Integer.parseInt(cedula);
        String sentencia = "SELECT * FROM Usuarios u WHERE u.usr_num_doc = '" + ced + "' AND u.usr_pass = '" + contrasena + "'";
        System.out.println(sentencia);
              try {
                  
        Query q = em.createNativeQuery(sentencia, Usuarios.class);
        System.out.println("2");
        Usuarios usr_encontrado =(Usuarios) q.getResultList().get(0);
        System.out.println("2.1");
              if (usr_encontrado!=null) {
                  System.out.println("Encontrado!!");
                  return (Usuarios) q.getResultList().get(0);
              }
       else return null;
              
              } catch (Exception e) {
                  JsfUtil.addErrorMessage("Verifique doc o pass");
                  System.out.println("Verifique doc o pass");
                  return null;
              }
        
          } catch (Exception e) {
              System.out.println("error al validar el logeo: "+e);
              return null;
          }
    }
    
    public void comprobar() {
        try {
            Usuarios user;
            //user = (Usuarios) usr.find(cedu);
            //Encriptamos la contraseña y la redefinimos
            contrasena=encriptarPass(contrasena);
            //System.out.println("Contraseña: "+contrasena);
            user=validarLogueo(cedula, contrasena);
            System.out.println("ver si es null: "+user);
            System.out.println("Estado: "+user.getUsrEstado());
            if (user != null) {
                if (user.getUsrEstado()) {
                     System.out.println("Iniciando Usuario Actual: "+user);
                UsuariosController.setCurrent(user);
                UsuariosController.setUsuarioActual(user);
                usrActual=user;
                setUsrActual(usrActual);
                //UsuariosController.setUsuarioActual(usrActual);
                FacesContext context2 = FacesContext.getCurrentInstance();
                HttpSession sessionv = (HttpSession) context2.getExternalContext().getSession(true);
                sessionv.setAttribute("user", usrActual);
                session.setActiva(true);
                JsfUtil.addSuccessMessage("Bienvenido "+usuarioActual().getUsrNombre());
                System.out.println("session iniciada con exito: "+usuarioActual().getUsrNombre());
                //FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/");
                    System.out.println("session: "+session.isActiva());
                    System.out.println("usrAct: "+UsuariosController.getCurrent());
                irA("administracion");
                }else{
                 FacesContext context = FacesContext.getCurrentInstance();
                context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Su solicitud aùn no ha sido avalda... Espere" , ""));
                System.out.println("Su solicitud aun no ha sido procesada! Intente después");
                    irA("index");
                }
                                   
            } else {
                FacesContext context = FacesContext.getCurrentInstance();
                context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Verifique cédula y/o contraseña!", ""));
                System.out.println("Contraseña: "+contrasena);

            }
        } catch (Exception e) {
            FacesContext context = FacesContext.getCurrentInstance();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Verifique cédula y/o contraseña!  " + e, ""));
            System.out.println("Excepcion!!!....: "+e);
        }


    }
     public String encriptarPass(String palabra) { //Encripta la contraseñas
        //System.out.println("vamos a encriptar 000 Metodo encriptarPass ... palabra= "+palabra);
        PasswordService pws = PasswordService.getInstance();
        String hash;
        //System.out.println("vamos a encriptar... palabra a encriptar:"+palabra);
        try {
            hash = pws.encrypt(palabra);
            return hash;
        } catch (Exception e) {
            System.out.println("Error de encriptacion : "+e.toString());
            JsfUtil.addErrorMessage("Error de encriptación: "+e.toString());
            return null;
        }
    }
    public Usuarios usuarioActual(){
        return  UsuariosController.getCurrent();
    }

    public void cerrarSesion() throws IOException {

        UsuariosController.getCurrent().setUsrId(null);
        UsuariosController.setCurrent(new Usuarios());
        session.setActiva(false);
        JsfUtil.addSuccessMessage("Sesiòn cerrada con èxito!");
        System.out.println("Sesion cerrada con exito");
        FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/");
    }
    
    public void irA(String dire) throws IOException{
        switch(dire){
            case "index": FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/"); break;
            case "perfil": FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/faces/web/usuarios/perfiles.xhtml"); break; 
            case "contacto": FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/faces/componentes/contactenos.xhtml"); break;    
            case "administracion": FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/faces/web/usuarios/administracion.xhtml"); break;    
            
        }
    }
    
    public void validarUsuario() throws IOException {

        if (usr.validarLogueo(cedula, contrasena)) {
            
        } else {
            FacesContext context = FacesContext.getCurrentInstance();
            context.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Verifique cédula y/o contraseña!", ""));

        }
    }

//Hay un problema con el redireccionamiento. Me tocó poner la dirección faces/crearUsuario.xhtml en lugar de red_dinamica/crearUsuario.xhtml para que
//pudiera funcionar.

    public void solicitarInscripcion() throws IOException {
        FacesContext context = FacesContext.getCurrentInstance();
        context.addMessage(null, new FacesMessage("Ingreso", "Bienvenido " + cedula));
        context.addMessage(null, new FacesMessage("Second Message", "Additional Info Here..."));
        FacesContext.getCurrentInstance().getExternalContext().redirect("/gestor_ambientes_360/faces/web/usuarios/registro_usr.xhtml");

    }
   
}

web/componentes/contactenos.xhtml
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    
       <ui:composition template="/templates/generalTemplate.xhtml">

        <ui:define name="body">
                  
                        <br/>
                        <br/>
                        <h:form prependId="false">  

                            <h:panelGrid columns="4" style="width:100%; padding: 2px;"  >
                                <f:facet name="header">
                                   Gestor de ambientes 360 SENA
                                </f:facet>    
                                <h:outputText value="Dirección:" />
                                <h:outputText value="Cra 27 Calle 9 Ciudad Universitaria" />
                                <h:outputText value="Indicativos Telefónicos:" />
                                <h:outputText value="037" />
                                <h:outputText value="Vélez-Santander-Colombia	Ciudad: " />
                                <h:outputText value="7" />
                                <h:outputText value="PBX" />
                                <h:outputText value="6344000" />
                            </h:panelGrid> 
                        </h:form>  
                        <p:messages id="msgs" />  
                        <br/>
                        <br/>
                         
                        <h:form id="tablaUsrAdmins" class="tablaPostula" prependId="false" >  
                            <p:dataTable sortMode="multiple" var="usuariosAdmin" paginatorPosition="bottom"
                                         value="#{usuariosController.usr_admin_list}"
                                         widgetVar="contactos" emptyMessage="La página no tiene administradores actualmente" 
                                         paginator="true" rows="10">  
                                <f:facet name="header">
                                    <h:outputText value="Administradores"  />
                                </f:facet>
                                <p:column style="width:8%" headerText="Imágen de Perfil">  
                                    <p:graphicImage value="../Recursos/Imagenes/perfil/#{usuariosAdmin.usrFoto}" height="100"/>  
                                </p:column>  

                                <p:column id="nombre" style="width:10%"  headerText="Nombres" filterValue="#{usuariosAdmin.usrNombre}"
                                          filterMatchMode="contains" sortBy="#{usuariosAdmin.usrNombre}" filterBy="#{usuariosAdmin.usrNombre}" > 

                                    <h:outputText value="#{usuariosAdmin.usrNombre}" />  
                                </p:column> 
                                <p:column id="apellido"  style="width:10%" filterBy="#{usuariosAdmin.usrApellido}"   
                                          headerText="Apellidos"   filterMatchMode="contains" sortBy="#{usuariosAdmin.usrApellido}" >  
                                    <h:outputText value="#{usuariosAdmin.usrApellido}" />  
                                </p:column> 

                                <p:column id="email" style="width:15%" filterBy="#{usuariosAdmin.usrEmail}"   
                                          headerText="E-Mail"   filterMatchMode="contains" sortBy="#{usuariosAdmin.usrEmail}">  

                                    <h:outputText value="#{usuariosAdmin.usrEmail}" />  
                                </p:column>  
                            </p:dataTable>  
                        </h:form>  
                    
            </ui:define>
    </ui:composition>
   
</html>

web/componentes/menugeneral.xhtml
<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition>

        <h:form id="menuGeneralForm" styleClass="menu">
            
            <p:menubar>
                <p:menuitem> <h:graphicImage url="/Recursos/Imagenes/logoSena.png" height="40px"/></p:menuitem>
                <p:menuitem value="Inicio" outcome="/index" icon="ui-icon-home"/>
                <p:menuitem value="Contactenos" onclick="#{usuariosController.buscarAdmins()}" outcome="/componentes/contactenos.xhtml" icon="pi pi-question"/>
                <f:facet name="options" class="Titulo" > 
                     <h:graphicImage url="/Recursos/Imagenes/logoMinEdu.png" height="40px"/>
                </f:facet>
            </p:menubar>
        </h:form>

    </ui:composition>

</html>

web/componentes/menuregistro.xhtml
<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition>

        <h:form id="menuRegistroForm" styleClass="menu">
                            
            <p:menubar>
                <p:menuitem> <h:graphicImage url="/Recursos/Imagenes/logoSena.png" height="40px"/></p:menuitem>
                <p:menuitem value="Inicio" actionListener="#{loggin.irA('index')}"/>  
                <p:menuitem value="Perfil" actionListener="#{loggin.irA('perfil')}" rendered="#{loggin.activa}"/> 
                
                <p:menuitem value="Contactenos" onclick="#{usuariosController.buscarAdmins()}" outcome="/componentes/contactenos.xhtml" icon="ui-icon-question"/>
                <p:menuitem  value="Cerrar sesión"  action="#{loggin.cerrarSesion()}"  icon="ui-icon-disk" >
                    
                </p:menuitem>
                <p:menuitem  value="#{usuariosController.selected.usrNombre}" outcome="/web/usuarios/administracion.xhtml" icon="ui-icon-disk" />
                <f:facet name="options" class="Titulo" > 
                     <h:graphicImage url="/Recursos/Imagenes/logoMinEdu.png" height="40px"/>
                </f:facet>
            </p:menubar>
            
        </h:form>

    </ui:composition>

</html>


web/componentes/piePagina.xhtml
<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <f:view >
        <h:head>
            <f:facet name="first">
            <title>Facelet Title</title>
            <h:outputStylesheet name="css/jsfcrud.css"/>
            <link rel="stylesheet" type="text/css" href="Recursos/Css/general.css" />
            </f:facet>
        </h:head>
        <h:body>
           <p:outputPanel >  
                            <center><p> Gestor de ambientes SENA</p>
                            <p>Todas las marcas registradas son propiedad de la compañía respectiva.
                            Se permite la reproducción total o parcial de cualquiera de los contenidos que aquí aparezca, así como su traducción a cualquier idioma sin autorización escrita de su titular.
                            Creative Commons
                            </p>  
                            </center> 
                        </p:outputPanel>
              
        </h:body>
    </f:view>
</html>

web/componentes/visor_360_1.xhtml
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <ui:composition>
    <h:head>

  <title>Imagenes 360 en html 5</title>

	<link href="https://cdn.rawgit.com/mistic100/Photo-Sphere-Viewer/3.1.0/dist/photo-sphere-viewer.min.css" rel="stylesheet" > </link>
	<script src="https://ajax.googleapis.com/ajax/libs/threejs/r70/three.min.js">
	</script>
	<script src="https://cdn.rawgit.com/mistic100/Photo-Sphere-Viewer/3.1.0/dist/photo-sphere-viewer.min.js">
	</script>
          </h:head>


            Visor 2
            <h:form>
                    <iframe width="800" height="450" allowfullscreen="true" src="componentes/2.jpg" >
                        
                    </iframe>
             </h:form>
        </ui:composition>
</html>